VARKON Version 1.15 1997-10-24

> ## inpmt - Function

> Input window
> Description
> Displays the string input dialogue window. A prompt and default value must be supplied.
> Syntax
> inpmt(prompt, default, width)

> STRING | prompt*132;
> STRING | default*132:
> INT | width;

> Principal parameters

> prompt | - The prompt string
> default | - A default value to display in the input field

> Optional parameters

> width | - Maximum number of characters to accept for input, default = 132 (max).

> Return value
> A STRING of characters. If input is finished by clicking the Okey button inpmt() will return the contents of the input field. Clicking the Reject button returns a null string "".
> Example
> name:=inpmt("What is your name ?","John",20);
> Comments
> If the prompt stack is not empty when inpmt() is called the topmost prompt will automatically be displayed also in the input dialogue window. This makes it possible to display two lines of text in the input window.

VARKON Homepage | Index